package net.sf.csutils.core.model;

import java.util.List;


/**
 * Extension of {@link ROAttribute}; you may cast an {@link ROAttribute}
 * to an {@link RORelation} if, and only if, its {@link ROAttribute#getType() type}
 * is {@link ROAttribute.Type#relation}.
 */
public interface RORelation extends ROAttribute {
	String getAssociationType();
	String getAttributeKey();
	List<ROType> getTargetTypes();
}
