package net.sf.csutils.core.model.impl;

import net.sf.csutils.core.model.ROAttribute;
import net.sf.csutils.core.model.ROFile;


/**
 * Default implementation of {@link ROFile}.
 */
public class StaticROFile extends StaticROAttribute implements ROFile {
    private String attributeKey;

    @Override
    public String getAttributeKey() {
        return attributeKey;
    }

    public void setAttributeKey(String attributeKey) {
        this.attributeKey = attributeKey;
    }

    @Override
    public Type getType() {
        return ROAttribute.Type.file;
    }
}
