package net.sf.csutils.core.model.impl;

import java.util.Map;

import javax.xml.registry.JAXRException;

import net.sf.csutils.core.model.QName;
import net.sf.csutils.core.model.ROType;


/**
 * The static meta model is useful for testing purposes, or for
 * ultimate performance.
 */
public class StaticROMetaModel extends AbstractROMetaModel {
	private Map<QName,ROType> roTypes;

	public void setROTypes(Map<QName,ROType> pTypes) {
		roTypes = pTypes;
	}
	
	
	@Override
	public Map<QName, ROType> getROTypes() throws JAXRException {
		return roTypes;
	}


	@Override
	public ROType getROType(QName pQName) throws JAXRException {
		return roTypes.get(pQName);
	}
}
