package net.sf.csutils.core.model.impl;

import java.util.List;

import net.sf.csutils.core.model.ROAttribute;
import net.sf.csutils.core.model.RORelation;
import net.sf.csutils.core.model.ROType;


/**
 * Extension of {@link StaticROAttribute}, which implements {@link RORelation}.
 */
public class StaticRORelation extends StaticROAttribute implements RORelation {
	private String associationType, attributeKey;
	private List<ROType> targetTypes;

	@Override
	public String getAssociationType() {
		return associationType;
	}

	public void setAssociationType(String associationType) {
		this.associationType = associationType;
	}

	@Override
	public List<ROType> getTargetTypes() {
		return targetTypes;
	}

	public void setTargetTypes(List<ROType> pTargetTypes) {
		targetTypes = pTargetTypes;
	}

	@Override
	public String getAttributeKey() {
		return attributeKey;
	}

	public void setAttributeKey(String attributeKey) {
		this.attributeKey = attributeKey;
	}

    @Override
    public Type getType() {
        return ROAttribute.Type.relation;
    }
}
