// $ANTLR 2.7.7 (20060906): "csql.g" -> "CsqlBaseLexer.java"$

//   $Id: hql.g 10163 2006-07-26 15:07:50Z steve.ebersole@jboss.com $

package net.sf.csutils.core.query.antlr;

import java.util.ArrayList;
import java.util.List;

import net.sf.csutils.core.query.tree.Identifier;
import net.sf.csutils.core.query.tree.NamespaceDeclarationSet;
import net.sf.csutils.core.query.tree.NodeFactory;
import net.sf.csutils.core.query.tree.ObjectType;
import net.sf.csutils.core.query.tree.SelectStatement;
import net.sf.csutils.core.query.tree.Statement;

import antlr.collections.AST;


public interface CsqlTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int ALL = 4;
	int ANY = 5;
	int AND = 6;
	int AS = 7;
	int ASCENDING = 8;
	int AVG = 9;
	int BETWEEN = 10;
	int CLASS = 11;
	int COUNT = 12;
	int DECLARE = 13;
	int DELETE = 14;
	int DESCENDING = 15;
	int DOT = 16;
	int DISTINCT = 17;
	int ELEMENTS = 18;
	int ESCAPE = 19;
	int EXISTS = 20;
	int FALSE = 21;
	int FETCH = 22;
	int FROM = 23;
	int FULL = 24;
	int GROUP = 25;
	int HAVING = 26;
	int IN = 27;
	int INDICES = 28;
	int INNER = 29;
	int INSERT = 30;
	int INTO = 31;
	int IS = 32;
	int JOIN = 33;
	int LEFT = 34;
	int LIKE = 35;
	int MAX = 36;
	int MIN = 37;
	int NAMESPACE = 38;
	int NEW = 39;
	int NOT = 40;
	int NULL = 41;
	int OR = 42;
	int ORDER = 43;
	int OUTER = 44;
	int PROPERTIES = 45;
	int RIGHT = 46;
	int SELECT = 47;
	int SET = 48;
	int SOME = 49;
	int SUM = 50;
	int TRUE = 51;
	int UNION = 52;
	int UPDATE = 53;
	int VERSIONED = 54;
	int WHERE = 55;
	int CASE = 56;
	int END = 57;
	int ELSE = 58;
	int THEN = 59;
	int WHEN = 60;
	int ON = 61;
	int WITH = 62;
	int BOTH = 63;
	int EMPTY = 64;
	int LEADING = 65;
	int MEMBER = 66;
	int OBJECT = 67;
	int OF = 68;
	int TRAILING = 69;
	int AGGREGATE = 70;
	int ALIAS = 71;
	int CONSTRUCTOR = 72;
	int CASE2 = 73;
	int EXPR_LIST = 74;
	int FILTER_ENTITY = 75;
	int IN_LIST = 76;
	int INDEX_OP = 77;
	int IS_NOT_NULL = 78;
	int IS_NULL = 79;
	int METHOD_CALL = 80;
	int NOT_BETWEEN = 81;
	int NOT_IN = 82;
	int NOT_LIKE = 83;
	int ORDER_ELEMENT = 84;
	int QUERY = 85;
	int RANGE = 86;
	int ROW_STAR = 87;
	int SELECT_FROM = 88;
	int UNARY_MINUS = 89;
	int UNARY_PLUS = 90;
	int VECTOR_EXPR = 91;
	int WEIRD_IDENT = 92;
	int CONSTANT = 93;
	int NUM_DOUBLE = 94;
	int NUM_FLOAT = 95;
	int NUM_LONG = 96;
	int JAVA_CONSTANT = 97;
	int EQ = 98;
	int NE = 99;
	int SQL_NE = 100;
	int LT = 101;
	int GT = 102;
	int LE = 103;
	int GE = 104;
	int OPEN = 105;
	int COMMA = 106;
	int CLOSE = 107;
	int CONCAT = 108;
	int PLUS = 109;
	int MINUS = 110;
	int STAR = 111;
	int DIV = 112;
	int COLON = 113;
	int PARAM = 114;
	int NUM_INT = 115;
	int QUOTED_STRING = 116;
	int IDENT = 117;
	int OPEN_BRACKET = 118;
	int CLOSE_BRACKET = 119;
	int ID_START_LETTER = 120;
	int ID_LETTER = 121;
	int ESCqs = 122;
	int WS = 123;
	int HEX_DIGIT = 124;
	int EXPONENT = 125;
	int FLOAT_SUFFIX = 126;
}
