package net.sf.csutils.core.query.tree;

import java.util.ArrayList;
import java.util.List;


/**
 * This class represents a concatenation.
 */
public class Concatenation {
	private final List<Object> items = new ArrayList<Object>();

	Concatenation(Object pItem1, Object pItem2) {
		items.add(pItem1);
		items.add(pItem2);
	}

	public List<Object> getItems() {
		return items;
	}
}
