package net.sf.csutils.core.query.tree;

import java.util.ArrayList;
import java.util.List;


/**
 * Abstract base class for {@link And} and {@link Or}.
 */
public abstract class LogicalExpression {
	private final List<Object> items = new ArrayList<Object>();

	LogicalExpression(Object pItem1, Object pItem2) {
		items.add(pItem1);
		items.add(pItem2);
	}

	public List<Object> getItems() {
		return items;
	}
}
