package net.sf.csutils.core.query.tree;

public class ObjectType {
	private final String name;
	private final String alias;

	ObjectType(String pName, String pAlias) {
	    if (pAlias == null) {
	        throw new IllegalArgumentException("The alias must not be null.");
	    }
		name = pName;
		alias = pAlias;
	}
	
	public String getName() {
		return name;
	}

	public String getAlias() {
		return alias;
	}
}
