package net.sf.csutils.core.model.impl;

import java.util.Map;

import javax.xml.registry.JAXRException;

import net.sf.csutils.core.model.QName;
import net.sf.csutils.core.model.ROAttribute;
import net.sf.csutils.core.model.ROType;

public class StaticROType implements ROType {
	private Map<String,ROAttribute> attributes;
	private QName qName, queryName;
	
	@Override
	public Map<String, ROAttribute> getAttributes() {
		return attributes;
	}

	public void setAttributes(Map<String, ROAttribute> attributes) {
		this.attributes = attributes;
	}

	@Override
	public QName getQName() {
		return qName;
	}

	public void setQName(QName qName) {
		this.qName = qName;
	}

	@Override
	public QName getQueryName() {
	    return queryName == null ? getQName() : queryName;
	}

	public void setQueryName(QName qName) {
	    this.queryName = qName;
	}

	@Override
	public ROAttribute getAttribute(String pName) throws JAXRException {
		return attributes.get(pName);
	}
}
