package net.sf.csutils.core.query.tree;

import java.util.ArrayList;
import java.util.List;

public class AdditiveExpression {
	public static final String PLUS = "+";
	public static final String MINUS = "-";

	private final List<Object> items = new ArrayList<Object>();

	AdditiveExpression(Object pItem1, String pOperation, Object pItem2) {
		items.add(pItem1);
		items.add(pOperation);
		items.add(pItem2);
	}

	public List<Object> getItems() {
		return items;
	}
}
