package net.sf.csutils.core.query.tree;

import java.util.List;

public class In {
	private final Object lhs;
	private final List<?> rhs;
	private final boolean not;

	public In(Object pLhs, List<?> pRhs, boolean pNot) {
		lhs = pLhs;
		rhs = pRhs;
		not = pNot;
	}

	public Object getLhs() {
		return lhs;
	}

	public List<?> getRhs() {
		return rhs;
	}

	public boolean isNot() {
		return not;
	}
}
