package net.sf.csutils.core.query.tree;

import java.util.ArrayList;
import java.util.List;

public class MultiplicativeExpression {
	public static final String MULTIPLY = "*";
	public static final String DIVIDE = "/";

	private final List<Object> items = new ArrayList<Object>();

	MultiplicativeExpression(Object pItem1, String pOperation, Object pItem2) {
		items.add(pItem1);
		items.add(pOperation);
		items.add(pItem2);
	}

	public List<Object> getItems() {
		return items;
	}
}
