package net.sf.csutils.core.query.tree;

public class Parameter {
	private final Integer number;
	private final String name;

	Parameter(String pName) {
		name = pName;
		number = null;
	}

	Parameter(int pNumber) {
		number = Integer.valueOf(pNumber);
		name = null;
	}

	Parameter() {
		name = null;
		number = null;
	}

	public Integer getNumber() {
		return number;
	}

	public String getName() {
		return name;
	}
}
